Public Class clsOntlener
    Private msOntlenerId As String
    Private msVoorNaam As String
    Private msAchterNaam As String
    Private msAdres As String
    Private msPostCode As String
    Private msGemeente As String
    Private msGeboorteDatum As String
    Private msTelefoon As String
    Private msEmail As String

    Public Property Id() As String
        Get
            Return Me.msOntlenerId

        End Get
        Set(ByVal Value As String)
            Me.msOntlenerId = Value.Trim
        End Set
    End Property

    Public Property VoorNaam() As String
        Get
            Return Me.msVoorNaam

        End Get
        Set(ByVal Value As String)
            Me.msVoorNaam = Value.Trim
        End Set
    End Property

    Public Property AchterNaam() As String
        Get
            Return Me.msAchterNaam

        End Get
        Set(ByVal Value As String)
            Me.msAchterNaam = Value.Trim
        End Set
    End Property

    Public Property Adres() As String
        Get
            Return Me.msAdres

        End Get
        Set(ByVal Value As String)
            Me.msAdres = Value.Trim
        End Set
    End Property

    Public Property PostCode() As String
        Get
            Return Me.msPostCode

        End Get
        Set(ByVal Value As String)
            Me.msPostCode = Value.Trim
        End Set
    End Property

    Public Property Gemeente() As String
        Get
            Return Me.msGemeente

        End Get
        Set(ByVal Value As String)
            Me.msGemeente = Value.Trim
        End Set
    End Property

    Public Property GeboorteDatum() As String
        Get
            Return Me.msGeboorteDatum

        End Get
        Set(ByVal Value As String)
            Me.msGeboorteDatum = Value.Trim
        End Set
    End Property

    Public Property Telefoon() As String
        Get
            Return Me.msTelefoon
        End Get
        Set(ByVal Value As String)
            Me.msTelefoon = Value.Trim
        End Set
    End Property

    Public Property Email() As String
        Get
            Return Me.msEmail
        End Get
        Set(ByVal Value As String)
            Me.msEmail = Value.Trim
        End Set
    End Property

    Public Sub New()

    End Sub

    Public Sub New(ByVal sId As String, ByVal sVoorNaam As String, ByVal sAchterNaam As String, ByVal sAdres As String, ByVal sPostCode As String, ByVal sGemeente As String, ByVal sGeboorteDatum As String, ByVal sTelefoon As String, ByVal sEmail As String)
        Me.Id = sId
        Me.VoorNaam = sVoorNaam
        Me.AchterNaam = sAchterNaam
        Me.Adres = sAdres
        Me.Gemeente = sGemeente
        Me.PostCode = sPostCode
        Me.GeboorteDatum = sGeboorteDatum
        Me.Telefoon = sTelefoon
        Me.Email = sEmail

    End Sub
    Public Overrides Function toString() As String
        Return Me.msAchterNaam & ", " & Me.msVoorNaam
    End Function

    'Public Overrides Function toString() As String
    '    Return "Voornaam: " & Me.msVoorNaam & "  Achternaam:  " & Me.msAchterNaam & "  Adres:  " & Me.msAdres & "  PostCode:  " & Me.msPostCode & "  Gemeente:  " & Me.msGemeente & "  Geboortedatum: " & Me.msGeboorteDatum & "  Telefoon: " & Me.msTelefoon & "  Email: " & Me.msEmail

    'End Function
End Class
